## LassoSaml2AttributeStatement

LassoSaml2AttributeStatement — <saml2:AttributeStatement>

## Functions

LassoNode * | lasso_saml2_attribute_statement_new ()

## Types and Values

struct | LassoSaml2AttributeStatement

## Description

Figure 47. Schema fragment for saml2:AttributeStatement

    <complexType name="AttributeStatementType">
      <complexContent>
        <extension base="saml:StatementAbstractType">
          <choice maxOccurs="unbounded">
            <element ref="saml:Attribute"/>
            <element ref="saml:EncryptedAttribute"/>
          </choice>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_attribute_statement_new ()

    LassoNode *
    lasso_saml2_attribute_statement_new (void);

Creates a new LassoSaml2AttributeStatement object.

#### Returns

a newly created LassoSaml2AttributeStatement object

## Types and Values

### struct LassoSaml2AttributeStatement

    struct LassoSaml2AttributeStatement {
    	LassoSaml2StatementAbstract parent;

    	/* elements */
    	GList *Attribute; /* of LassoSaml2Attribute */
    	GList *EncryptedAttribute; /* of LassoSaml2EncryptedElement */
    };